incubator-cloudstack-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From wid...@apache.org
Subject [4/5] git commit: refs/heads/master - debian: Copy Agent configuration from old to new location
Date Tue, 05 Mar 2013 15:10:52 GMT
debian: Copy Agent configuration from old to new location

We copy some files automatically so the admin doesn't have to
worry about the upgrade.


Project: http://git-wip-us.apache.org/repos/asf/incubator-cloudstack/repo
Commit: http://git-wip-us.apache.org/repos/asf/incubator-cloudstack/commit/c56de5e3
Tree: http://git-wip-us.apache.org/repos/asf/incubator-cloudstack/tree/c56de5e3
Diff: http://git-wip-us.apache.org/repos/asf/incubator-cloudstack/diff/c56de5e3

Branch: refs/heads/master
Commit: c56de5e34519f3107ea3fd7647cf97a108a975e3
Parents: 4d7dced
Author: Wido den Hollander <wido@widodh.nl>
Authored: Tue Mar 5 16:09:42 2013 +0100
Committer: Wido den Hollander <wido@widodh.nl>
Committed: Tue Mar 5 16:10:38 2013 +0100

----------------------------------------------------------------------
 debian/cloudstack-agent.postinst |   40 +++++++++++++++++++++++++++++++++
 1 files changed, 40 insertions(+), 0 deletions(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/incubator-cloudstack/blob/c56de5e3/debian/cloudstack-agent.postinst
----------------------------------------------------------------------
diff --git a/debian/cloudstack-agent.postinst b/debian/cloudstack-agent.postinst
new file mode 100644
index 0000000..499ae6a
--- /dev/null
+++ b/debian/cloudstack-agent.postinst
@@ -0,0 +1,40 @@
+#!/bin/bash
+
+# Licensed to the Apache Software Foundation (ASF) under one
+# or more contributor license agreements.  See the NOTICE file
+# distributed with this work for additional information
+# regarding copyright ownership.  The ASF licenses this file
+# to you under the Apache License, Version 2.0 (the
+# "License"); you may not use this file except in compliance
+# with the License.  You may obtain a copy of the License at
+#
+#   http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing,
+# software distributed under the License is distributed on an
+# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
+# KIND, either express or implied.  See the License for the
+# specific language governing permissions and limitations
+# under the License.
+
+set -e
+
+case "$1" in
+    configure)
+        OLDCONFDIR="/etc/cloud/agent"
+        NEWCONFDIR="/etc/cloudstack/agent"
+        CONFFILES="agent.properties log4j.xml log4j-cloud.xml"
+
+        # Copy old configuration so the admin doesn't have to do that
+        # Only do so when we are installing for the first time
+        if [ -z "$2" ]; then
+            for FILE in $CONFFILES; do
+                if [ -f "$OLDCONFDIR/${FILE}" ]; then
+                    cp -a $OLDCONFDIR/$FILE $NEWCONFDIR/$FILE
+                fi
+            done
+        fi
+        ;;
+esac
+
+exit 0
\ No newline at end of file


Mime
View raw message